using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models.Entities {
    [Table("AT_kg"), PrimaryKey("KgNr")]
    public class AT_Kg {
        [Column("kgnr")]
        public int KgNr { get; private set; }

        [Column("gkz")]
        public int Gkz { get; private set; }

        [Column("name")]
        public string Name { get; private set; } = null!;

        [ForeignKey("Gkz")]
        public virtual AT_Gem Gem { get; private set; } = null!;

        [InverseProperty(nameof(WbKg.AtKg))]
        public virtual WbKg? WbKg { get; private set; }
    }
}
